Subject: Re: bug#24062: Temporary NEWS markup still in RC

From: Glenn Morris <[email-masked]>
Date: Wed, 24 Aug 2016 01:53:20 -0400

Nicolas Petton wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>> I was looking in the Git repository, where this line is absent.  Now I
>> see that it is there in the tarball, so nothing is missing, except
>> that the release tag will not include that line.
>
> Now I see that the ChangeLog I have locally has the following entry:
>
>     2016-08-28  Nicolas Petton  <[email-masked]>
>
>    	* Version 25.1 released.
>
>     See ChangeLog.2 for earlier changes.

Nobody's every done a "have a generated ChangeLog" release before.
I tried to adjust the documentation and M-x add-release-logs accordingly.
My idea was that line would be in the tarfile in (non-versioned)
ChangeLog, and not committed (to ChangeLog.2) till the actual release.
This is basically how it used to work when the ChangeLog was versioned,
just with a slight tweak of having to move the entry to a different file.